      subroutine tramo
      use module
      use mod_script
      use mod_lirorb
      use mod_licost
      use mod_sto
      use mod_ecrimono
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      character(1280) namel
      integer,save,allocatable,dimension(:,:) :: iorbs
      character(80) aaa
      yw=.false.
      call titre(' #MOLECULAR INTEGRAL TRANSFORMATION# ',60)
      print*,' '
      inquire(21,name=aaa)
      !
      ! 1-e integral transformation
      !
      print*,' '
      print*,'================='
      print*,'1. 1e Integrals'
      print*,'================='
      print*,' '
      call cpu_time(t0)
      call tra1
      call cpu_time(t1)
      print'(a,f15.6,a)','cpu time in 1e Integrals',t1-t0,' sec'
      print*,' '
      rewind 27
      !close(21)
      open(1,status='old',file=orb1)
      !
      ! 2-e integral transformation
      !
      print*,' '
      print*,'================='
      print*,'2. 2e Integrals'
      print*,'================='
      print*,' '
      call cpu_time(t0)
      call tijkl
      call cpu_time(t1)
      print*,' '
      print'(a,f15.6,a)','cpu time in 2e Integrals',t1-t0,' sec'
      !if(ycl) call stomono(potnuc)
      close(27)
!
! Write OneElectron Matrix in MO on file Mono
!
!      rewind 26
!      call ecrimono(26,24,monon1,'ijkl','ONEINT',
!     *' ',isym,nsym)
!
! end IJCL file
!
      call finijcl
      return
      end
